import { StyleSheet } from "react-native";
import { deviceHeight, deviceWidth } from "../../static/Dimensions";
import { StaticFonts } from "../../static/Fonts";

export const styles = StyleSheet.create({
  baseComponent: {
    width: deviceWidth,
    height: deviceHeight,
    flex: 1,
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    position: "relative",
  },
  backNavigationContainer: {
    flex: 1,
    width: deviceWidth,
    display: "flex",
    flexDirection: "row",
    justifyContent: "flex-start",
    alignItems: "center",
    paddingLeft: 20,
    gap: 20,
  },
  opacityStyle: {
    width: deviceWidth / 9,
    height: deviceWidth / 9,
    backgroundColor: "#F7F6F6FD",
    borderRadius: 60,
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
  },
  iconStyle: {
    position: "relative",
    left: 2,
  },
  notificationText: {
    fontSize: 22,
    fontFamily: StaticFonts[700],
    color: "white",
  },
  ticketsComponent: {
    width: deviceWidth,
    height: deviceHeight / 1.2,
    borderTopLeftRadius: 30,
    borderTopRightRadius: 30,
    backgroundColor: "#F7F6F6",
    display: "flex",
    justifyContent: "center",
    paddingTop: 10,
    gap: 10,
  },
  ticketDayAmount: {
    maxWidth: "90%",
    width: "100%",
    fontSize: 20,
    fontFamily: StaticFonts[700],
    textAlign: "justify",
    marginVertical: 20,
  },
  ticketTitleContainer: {
    width: deviceWidth,
    height: deviceHeight / 11,
    borderTopLeftRadius: 30,
    borderTopRightRadius: 30,
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    paddingHorizontal: deviceWidth / 15,
    backgroundColor: "white",
  },
  ticketsTitleIconsContainer: {
    display: "flex",
    flexDirection: "row",
    justifyContent: "center",
    alignItems: "center",
    gap: 20,
  },
  ticketCardContainer: {
    width: "100%",
    height: deviceHeight,
    flex: 1,
    display: "flex",
    flexDirection: "column",
    justifyContent: "flex-start",
    alignItems: "center",
    gap: 10,
    marginBottom: deviceHeight / 2.2,
  },
});
